Subject: Re: bug#39098: 26.3; bug of mouse-face including linebreak

From: [email-masked]
Date: Mon, 13 Jan 2020 23:44:51 +0900

Eli Zaretskii <[email-masked]> writes:

> On January 13, 2020 8:53:07 AM GMT+02:00, [email-masked] wrote:
>> 
>> Why is the out-of-range character highlighted only if it is at the
>> beginning of line?
>
> Because you've covered the newline with mouse-face.  Newlines leave no
> glyphs on display, so the next character gets highlighted instead.  If
> you don't want this, exclude the newline from the mouse-face
> propertized part, it is unnecessary anyway, because a newline can
> never be "mouse-sensitive".

Conversely, is there any way to disable 'mouse-face hilighting at blank
areas when the region contains more than two lines?
Just like 'underline face does not draw line to the right edge.